Bug 108027 - FILEOPEN XLSX: The column descriptions of a column chart disappear
Summary: FILEOPEN XLSX: The column descriptions of a column chart disappear
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.3.0 target:6.1.4 target:6.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2017-05-23 14:31 UTC by Gabor Kelemen
Modified: 2018-11-27 03:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Excel 2013 (23.27 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-05-23 14:31 UTC, Gabor Kelemen
Details
Screenshot of the original document in LO 5.3 and in Excel 2013 side by side (136.87 KB, image/png)
2017-05-23 14:33 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-05-23 14:31:04 UTC
Created attachment 133480 [details]
Example file from Excel 2013

Attached XLSX file was made with Excel 2013.

The chart column descriptions disappear completely if the file is opened in LibreOffice.

Steps to reproduce:
1. Open the original file in LibreOffice
2. Observe that the column descriptions are missing

Actual results:
The text on the horizontal axis disappears.

Expected results:
The diagram does not change after being saved in LibreOffice.
Comment 1 Gabor Kelemen 2017-05-23 14:33:09 UTC
Created attachment 133481 [details]
Screenshot of the original document in LO 5.3 and in Excel 2013 side by side
Comment 2 Xisco Faulí 2017-05-23 14:56:15 UTC
Regression introduced by:

author	Markus Mohrhard <markus.mohrhard@collabora.co.uk>	2014-12-27 05:42:16 (GMT)
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2014-12-27 06:01:52 (GMT)
commit	808b0bf831d4a4fdb60c01865d0a7dd36cf9d521 (patch)
tree	c680f97466ef43d46860be5c62fe0b310b22a4c1
parent	88ae2a436ec79dd152f9e81edea00e402438cc1f (diff)
NO_DECODE breaks non-ascii urls, fdo#85617

Bisected with bibisect-50max

Adding Cc: to Markus Mohrhard
Comment 3 Markus Mohrhard 2018-11-25 21:14:38 UTC
The bibisect result must be wrong as that patch has been reverted by 19feb49bd1b232425b7be19b55b950cbbc1bff67
Comment 4 Aron Budea 2018-11-25 22:00:19 UTC
Right, bibisecting further based on that information yields another commit from the same ticket.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=97a8b3ed5e5bd42e213d3230fa764b0f5d10f0f2
author		Eike Rathke <erack@redhat.com>	2015-01-09 13:53:27 +0100
committer	Eike Rathke <erack@redhat.com>	2015-01-09 16:10:04 +0100

Resolves: fdo#85617 always store fully encoded external document name
Comment 5 Markus Mohrhard 2018-11-25 23:51:00 UTC
(In reply to Aron Budea from comment #4)
> Right, bibisecting further based on that information yields another commit
> from the same ticket.
> 
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=97a8b3ed5e5bd42e213d3230fa764b0f5d10f0f2
> author		Eike Rathke <erack@redhat.com>	2015-01-09 13:53:27 +0100
> committer	Eike Rathke <erack@redhat.com>	2015-01-09 16:10:04 +0100
> 
> Resolves: fdo#85617 always store fully encoded external document name

And that is still absolutely misleading. All the commits here are actually fixing a few bugs that result in the external file being recognized correctly. As a result we don't use the cached value in the chart file and instead go to the external file cache.
This all improved the OOXML import code but in the end a small bug in the calc's chart UNO data provider for external string cells caused all the new work to be thrown away.
Comment 6 Markus Mohrhard 2018-11-26 00:01:37 UTC
@Gabor: Same game again. If you created the file can we use it under the MPL for our automated tests?
Comment 7 Aron Budea 2018-11-26 00:09:13 UTC
(In reply to Markus Mohrhard from comment #5)
> And that is still absolutely misleading. All the commits here are actually
This is what bibisecting is capable of, it's not a magic tool to find programming errors in the code.
Comment 8 Commit Notification 2018-11-26 01:27:41 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/72e204da9a062282e52d5060e7f633e3b21414ff%5E%21

tdf#108027, add external ref string items to the data array

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Gabor Kelemen 2018-11-26 07:43:31 UTC
(In reply to Markus Mohrhard from comment #6)
> @Gabor: Same game again. If you created the file can we use it under the MPL
> for our automated tests?

Of course! Feel free to lift anything I or the "NISZ LibreOffice Team" uploaded. Usually these files are made by any one of my team members but our day job is to improve LO so using them as unit test is fine by us.
Comment 10 Commit Notification 2018-11-26 13:24:51 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/8d370bbe3c15706872f8c0258ed1e21741d0228d%5E%21

tdf#108027, add external ref string items to the data array

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2018-11-26 13:25:54 UTC
Verified locally

@Markus Mohrhard, thanks for fixing this!!
Comment 12 Commit Notification 2018-11-26 16:38:28 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/bc6f854412f7e7073f38821c3cd4a79de421de77%5E%21

tdf#108027, add external ref string items to the data array

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Markus Mohrhard 2018-11-26 22:31:22 UTC
(In reply to Gabor Kelemen from comment #9)
> (In reply to Markus Mohrhard from comment #6)
> > @Gabor: Same game again. If you created the file can we use it under the MPL
> > for our automated tests?
> 
> Of course! Feel free to lift anything I or the "NISZ LibreOffice Team"
> uploaded. Usually these files are made by any one of my team members but our
> day job is to improve LO so using them as unit test is fine by us.

Thanks Gabor. I adapted your test file for the test. Thanks a lot for your help.
Comment 14 Commit Notification 2018-11-27 03:11:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3f2b8db38c8823d9980d43dd6eec9d3150cc5405%5E%21

add test for tdf#108027

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.